import type { Reactive, ToRefs } from 'vue';
export type PiniaStoreValue<R, T = undefined> = T extends undefined ? ToRefs<R> : ToRefs<R> & T;
export default function useReactiveState<T extends Record<string, any>, R = Reactive<T>>(defaultStateValue?: T | (() => T)): [R, (val: Partial<T>) => void];
