import { ref, watch } from 'vue';
import { getSlotsProps } from '@gx-design-vue/pro-utils';
export default function useSlotsProps(names, slots, props, options) {
    const node = ref(getSlotsProps(names, slots, props, options));
    watch(names.map(key => () => props[key]), () => {
        node.value = getSlotsProps(names, slots, props, options);
    }, { deep: 1 });
    watch(() => slots, () => {
        node.value = getSlotsProps(names, slots, props, options);
    }, { deep: 1 });
    return node;
}
