import { onMounted, readonly, ref } from 'vue';
export default function isMounted() {
    const isMounted = ref(false);
    onMounted(() => {
        isMounted.value = true;
    });
    return readonly(isMounted);
}
