import type { Ref, VNode } from 'vue';
import type { WithFalse } from '@gx-design-vue/pro-utils';
export default function useSlotsProps<T extends string, K = undefined>(names: T[], slots: Readonly<Record<string, any>>, props: Record<string, unknown>, options?: {
    render?: true;
    params?: any;
}): K extends undefined ? Ref<Record<T, WithFalse<VNode | VNode[]>>> : Ref<K>;
export default function useSlotsProps<T extends string, K = undefined>(names: T[], slots: Readonly<Record<string, any>>, props: Record<string, unknown>, options?: {
    render?: false;
    params?: any;
}): K extends undefined ? Ref<Record<T, any>> : Ref<K>;
